window.JsBridge = {
    _events: [],
    Util: {
        IsApple: function() {
            return typeof(Mt) !== 'undefined';
        },
        GetEvent: function (name) {
            var e = undefined;

            for (var i = 0; i < window.JsBridge._events.length; i++)
                if (window.JsBridge._events[i].Name == name) {
                    e = window.JsBridge._events[i];
                    break;
                }

            return e;
        }
    },
    FireNativeEvent: function (name, data) {
        if (this.Util.IsApple())
            Mt.App.fireEvent(name, data);
        else
            JsBridgeAndroid.FireNativeEvent(name, JSON.stringify(data));
    },
    FireWebEvent: function (name, data) {
        var e = this.Util.GetEvent(name);

        if (e != undefined) {
            e.Action(data);
        }
    },
    Subscribe: function (name, action) {
        if (this.Util.IsApple()) {
            Mt.App.addEventListener(name, action);
            return;
        }

        var e = this.Util.GetEvent(name);

        if (e != undefined) {
            e.Action = action;
        } else
            this._events.push({ Name: name, Action: action });
    },
    Unsubscribe: function (name) {
        if (this.Util.IsApple()) {
            Mt.App.removeEventListener(name);
            return;
        }

        for (var i = 0; i < this._events.length; i++) {
            if (this._events[i].Name == name) {
                this._events.splice(i, 1);
                break;
            }
        }
    }
};
